Subject: Re: bug#60237: 30.0.50; tree sitter core dumps when I edebug view a node

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Feb 2023 16:00:34 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Yuan Fu <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 26 Feb 2023 10:16:25 -0500
> 
> > Stefan, could it be a problem for us if garbage-collecting an object
> > calls xmalloc?  Including if the "memory" profiler is running at the
> > time of that GC?
> 
> I can't think of a fundamental reason why this would be a problem, but
> as you've seen some code may not be quite ready for it.
> 
> I suspect the simplest solution is to do something like what we do
> for the cpu-profiler, i.e. handle the "time within GC" specially by
> checking (EQ (backtrace_top_function (), QAutomatic_GC)) to determine
> that we're within the GC.

Any reason not to install the patch that uses gcsize instead of ASIZE?